%global modname vcrpy

Name:               python-vcrpy
Version:            4.2.1
Release:            %mkrel 1
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing

Group:              Development/Python
License:            MIT
URL:                https://pypi.io/project/vcrpy
Source0:            https://pypi.io/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires: pyproject-rpm-macros
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

BuildRequires:      python3-PyYAML
BuildRequires:      python3-mock
BuildRequires:      python3-six
BuildRequires:      python3-contextlib2
BuildRequires:      python3-wrapt
#BuildRequires:      python3-backport_collections

%description
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%package -n python3-vcrpy
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
Group:              Development/Python

Requires:           python3-PyYAML
Requires:           python3-mock
Requires:           python3-six
Requires:           python3-contextlib2
Requires:           python3-wrapt
#Requires:           python3-backport_collections

%description -n python3-vcrpy
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%prep
%setup -q -n %{modname}-%{version}

sed -i "s/backport_collections/collections/g" vcr/filters.py
sed -i "s/backport_collections/collections/g" vcr/cassette.py
sed -i "s/, 'backport_collections'//g" setup.py


%build
# Get rid of asyncio requirement for py2.x build
rm vcr/_handle_coroutine.py

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vcr

## Cannot run tests because they require python-pytest-localserver which is not
## yet packaged.
#%%check
#%%{__python3} setup.py test

%files -n python3-vcrpy -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt





%changelog
* Thu Sep 08 2022 neoclust <neoclust> 4.2.1-1.mga9
+ Revision: 1885727
- New version  4.2.1

* Mon Mar 28 2022 umeabot <umeabot> 1.11.0-9.mga9
+ Revision: 1829568
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.11.0-8.mga9
+ Revision: 1781264
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.11.0-7.mga9
+ Revision: 1733106
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.11.0-6.mga8
+ Revision: 1532567
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.11.0-5.mga8
+ Revision: 1442514
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 ngompa <ngompa> 1.11.0-4.mga7
+ Revision: 1352716
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.11.0-3.mga7
+ Revision: 1290454
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.11.0-2.mga7
+ Revision: 1135680
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 1.11.0-1.mga6
+ Revision: 1101041
- Re-upgrade to 0.11.0 and build py3 in subdir
- Downgrade to 1.10.5
- Port to Mageia
- Upgrade to 0.11.0
- imported package python-vcrpy


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 13 2017 Kevin Fenzi <kevin@scrye.com> - 1.10.5-1
- Update to 1.10.5. Fixes bug #1412604

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.10.4-2
- Rebuild for Python 3.6

* Fri Dec 16 2016 Ralph Bean <rbean@redhat.com> - 1.10.4-1
- new version

* Sun Oct 02 2016 Kevin Fenzi <kevin@scrye.com> - 1.10.3-1
- Update to 1.10.3. Fixes bug #1381102

* Sat Sep 17 2016 Kevin Fenzi <kevin@scrye.com> - 1.10.2-1
- Update to 1.10.2. Fixes bug #1376311

* Mon Sep 12 2016 Kevin Fenzi <kevin@scrye.com> - 1.10.1-1
- Update to 1.10.1.

* Fri Sep 09 2016 Kevin Fenzi <kevin@scrye.com> - 1.10.0-1
- Update to 1.10.0. Fixes bug #1370830

* Wed Jul 27 2016 Ralph Bean <rbean@redhat.com> - 1.9.0-1
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Ralph Bean <rbean@redhat.com> - 1.8.0-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Oct 19 2015 Ralph Bean <rbean@redhat.com> - 1.7.4-1
- new version

* Wed Sep 16 2015 Ralph Bean <rbean@redhat.com> - 1.7.3-1
- new version

* Mon Jul 06 2015 Ralph Bean <rbean@redhat.com> - 1.6.0-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Ralph Bean <rbean@redhat.com> - 1.5.2-2
- Move python3 deps into the python3 subpackage.

* Sat May 16 2015 Ralph Bean <rbean@redhat.com> - 1.5.2-1
- new version

* Fri May 15 2015 Ralph Bean <rbean@redhat.com> - 1.5.1-1
- new version

* Wed May 06 2015 Ralph Bean <rbean@redhat.com> - 1.4.2-1
- Adjusted spec with feedback from package review.
- Fix original changelog entry.
- Fix directory ownership in the files section.
- Latest upstream.

* Sat Apr 11 2015 Ralph Bean <rbean@redhat.com> 1.4.0-1
- initial package for Fedora
